org.springframework.messaging.support

## Class AbstractMessageChannel.ChannelInterceptorChain

- java.lang.Object
- - org.springframework.messaging.support.AbstractMessageChannel.ChannelInterceptorChain

- Enclosing class:
    AbstractMessageChannel

      protected class AbstractMessageChannel.ChannelInterceptorChain
      extends Object

  Assists with the invocation of the configured channel interceptors.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ChannelInterceptorChain()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message<?>` | `applyPostReceive(Message<?> message, MessageChannel channel)`
    `void` | `applyPostSend(Message<?> message, MessageChannel channel, boolean sent)`
    `boolean` | `applyPreReceive(MessageChannel channel)`
    `Message<?>` | `applyPreSend(Message<?> message, MessageChannel channel)`
    `void` | `triggerAfterReceiveCompletion(Message<?> message, MessageChannel channel, Exception ex)`
    `void` | `triggerAfterSendCompletion(Message<?> message, MessageChannel channel, boolean sent, Exception ex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelInterceptorChain

          protected ChannelInterceptorChain()

  - ### Method Detail

    - #### applyPreSend

          @Nullable
          public Message<?> applyPreSend(Message<?> message,
                                                   MessageChannel channel)

    - #### applyPostSend

          public void applyPostSend(Message<?> message,
                                    MessageChannel channel,
                                    boolean sent)

    - #### triggerAfterSendCompletion

          public void triggerAfterSendCompletion(Message<?> message,
                                                 MessageChannel channel,
                                                 boolean sent,
                                                 @Nullable
                                                 Exception ex)

    - #### applyPreReceive

          public boolean applyPreReceive(MessageChannel channel)

    - #### applyPostReceive

          @Nullable
          public Message<?> applyPostReceive(Message<?> message,
                                                       MessageChannel channel)

    - #### triggerAfterReceiveCompletion

          public void triggerAfterReceiveCompletion(@Nullable
                                                    Message<?> message,
                                                    MessageChannel channel,
                                                    @Nullable
                                                    Exception ex)